namespace Elwig.Helpers.Weighing {
    /// <summary>
    /// Interface for controlling a weighing scale which automatically sends weighing updates
    /// </summary>
    public interface IEventScale : IScale {

        public event EventHandler<WeighingEventArgs> WeighingEvent;

        delegate void EventHandler<WeighingEventArgs>(object sender, WeighingEventArgs args);
    }
}
