using Elwig.Models.Dtos;
using System.Collections.Generic;

namespace Elwig.Documents {
    public class DeliveryAncmtList : Document {

        public new static string Name => "Anmeldeliste";

        public string Filter;
        public IEnumerable<DeliveryAncmtListRow> Announcements;

        public DeliveryAncmtList(string filter, IEnumerable<DeliveryAncmtListRow> announcements) : base($"{Name} {filter}") {
            Filter = filter;
            Announcements = announcements;
        }

        public DeliveryAncmtList(string filter, DeliveryAncmtListData data) :
            this(filter, data.Rows) {
        }
    }
}
